Bug 818427 - [abrt] rabbitvcs-core-0.15.0.5-1.fc17: subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory
[abrt] rabbitvcs-core-0.15.0.5-1.fc17: subprocess.py:1249:_execute_child:OSEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:e30e45bdabaef8e665478770e80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 00:04 EDT by Mikhail
Modified: 2013-08-01 01:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-05-03 00:04:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py /home/mikhail/test@HEAD /home/mikhail/test@HEAD --vcs=git
comment:        Try to diff
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py
kernel:         3.3.4-1.fc17.i686.PAE
time:           Чт. 03 мая 2012 10:03:15
uid:            1000
username:       mikhail

backtrace:
:subprocess.py:1249:_execute_child:OSError: [Errno 2] No such file or directory
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py", line 66, in launch
:    self.launch_unified_diff()
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/diff.py", line 258, in launch_unified_diff
:    rabbitvcs.util.helper.open_item(fh[1])
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/util/helper.py", line 464, in open_item
:    subprocess.Popen(["gnome-open", os.path.abspath(path)])
:  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
:    errread, errwrite)
:  File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child
:    raise child_exception
:OSError: [Errno 2] No such file or directory
:
:Local variables in innermost frame:
:errread: None
:c2pread: None
:gc_was_enabled: True
:errwrite: None
:shell: False
:errpipe_write: 50
:executable: 'gnome-open'
:close_fds: False
:self: <subprocess.Popen object at 0x981c64c>
:env: None
:cwd: None
:child_exception: OSError(2, 'No such file or directory')
:args: ['gnome-open', '/tmp/tmpIT9A64-rabbitvcs-HEAD-HEAD.diff']
:fd: None
:c2pwrite: None
:data: 'cexceptions\nOSError\np0\n(I2\nS\'No such file or directory\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib/python2.7/subprocess.py", line 1201, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib/python2.7/os.py", line 344, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib/python2.7/os.py", line 380, in _execvpe\\n    func(fullname, *argrest)\\nOSError: [Errno 2] No such file or directory\\n\'\np6\nsb.'
:creationflags: 0
:errpipe_read: 28
:preexec_fn: None
:p2cread: None
:startupinfo: None
:p2cwrite: None
:universal_newlines: False

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.66
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 1980
:System Swap: 3999
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.3.4-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112811 2623916 2572723 1286144 1022307 1022307
:/dev/sda5 /home ext4 4096 4096 27766364 3574839 2184452 6955008 6873897 6873897
:
Comment 1 zeta.sagittarii 2012-05-12 10:11:32 EDT
Description:
-----------
Right click on a directory shown as modified, and select RabbitVCS SVN -> Diff Menu -> View diff against base.

Window with "Loading..." title and progress bar shows (called "Diff.py" in the application name near "Activities" top left button in gnome 3), and then abrt catches the crash (windows keep running)

Running on a Fedora 17, with rabbitvcs comming from Rawhide (.fc18). Seems the same problem arise from a Fedora 16 box (again with rabbitvcs from Rawhide, as the currently available version on fc16 or fc17 doesn't work with Gnome 3).


backtrace shows a "file not found", but it seems the file exists, and have a correct content :
-rw-------. 1 arno arno 1642 May 12 15:05 /tmp/tmpBzS68S-rabbitvcs-base-working.diff

The command "gnome-open" was not found in my system, if a try to type it in a terminal. 
It seems this commande is provided by "libgnome" package (accordign to "yum provides" command).


Workaround:
-----------
If I install this package ("yum install libgnome"), it works  (opens the diff file with gedit).

So I think there just need to be added this dependancy in the package to fix this.


Package: rabbitvcs-core-0.15.0.5-1.fc18
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Daniel O'Connor 2012-09-08 15:06:15 EDT
Duplicate of #824895
Comment 3 Fedora End Of Life 2013-07-03 21:29:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 01:58:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.